package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.StatusBaikKurang;
import com.jasamedika.medifirst2000.entities.StatusTeraturTidak;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapGastrointestinalVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectMulutFk")
	@Caption(value="Object Mulut")
	private DataMulutVO mulut;
		
	@ManyToOne
	@JoinColumn(name = "ObjectMuntahFk")
	@Caption(value="Object Muntah")
	private StatusAdaTidakAdaVO muntah;
	
	@ManyToOne
	@JoinColumn(name = "ObjectMualFk")
	@Caption(value="Object Mual")
	private StatusAdaTidakAdaVO mual;
	
	@ManyToOne
	@JoinColumn(name = "ObjectNyeriUluHatiFk")
	@Caption(value="Object Nyeri Ulu Hati")
	private StatusAdaTidakAdaVO nyeriUluHati;
	
	@ManyToOne
	@JoinColumn(name = "ObjectAscitesFk")
	@Caption(value="Object Ascites")
	private StatusAdaTidakAdaVO ascites;
	
	@Column(name = "peristaltikUsus", nullable = true)
	@Caption(value="Peristaltik Usus")
	private String peristaltikUsus;
	
	@Column(name = "lingkarPerut", nullable = true)
	@Caption(value="Lingkar Perut")
	private String lingkarPerut;
	
	@Column(name = "isNormal", nullable = false)
	@Caption(value = "Is Normal")
	private Boolean isNormal;

	@ManyToOne
	@JoinColumn(name = "ObjectPolaMakanFk")
	@Caption(value="Object PolaMakan")
	private StatusTeraturTidakVO polaMakan;
	
	@ManyToOne
	@JoinColumn(name = "ObjectNafsuMakanFk")
	@Caption(value="Object NafsuMakan")
	private StatusBaikKurangVO nafsuMakan;
		
	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public DataMulutVO getMulut() {
		return mulut;
	}

	public void setMulut(DataMulutVO mulut) {
		this.mulut = mulut;
	}

	public StatusAdaTidakAdaVO getMuntah() {
		return muntah;
	}

	public void setMuntah(StatusAdaTidakAdaVO muntah) {
		this.muntah = muntah;
	}

	public StatusAdaTidakAdaVO getMual() {
		return mual;
	}

	public void setMual(StatusAdaTidakAdaVO mual) {
		this.mual = mual;
	}

	public StatusAdaTidakAdaVO getNyeriUluHati() {
		return nyeriUluHati;
	}

	public void setNyeriUluHati(StatusAdaTidakAdaVO nyeriUluHati) {
		this.nyeriUluHati = nyeriUluHati;
	}

	public StatusAdaTidakAdaVO getAscites() {
		return ascites;
	}

	public void setAscites(StatusAdaTidakAdaVO ascites) {
		this.ascites = ascites;
	}

	public String getPeristaltikUsus() {
		return peristaltikUsus;
	}

	public void setPeristaltikUsus(String peristaltikUsus) {
		this.peristaltikUsus = peristaltikUsus;
	}

	public String getLingkarPerut() {
		return lingkarPerut;
	}

	public void setLingkarPerut(String lingkarPerut) {
		this.lingkarPerut = lingkarPerut;
	}

	public Boolean getIsNormal() {
		return isNormal;
	}

	public void setIsNormal(Boolean isNormal) {
		this.isNormal = isNormal;
	}

	public StatusTeraturTidakVO getPolaMakan() {
		return polaMakan;
	}

	public void setPolaMakan(StatusTeraturTidakVO polaMakan) {
		this.polaMakan = polaMakan;
	}

	public StatusBaikKurangVO getNafsuMakan() {
		return nafsuMakan;
	}

	public void setNafsuMakan(StatusBaikKurangVO nafsuMakan) {
		this.nafsuMakan = nafsuMakan;
	}	
	
	
}
